org.eclipse.actf.ui.util

## Class AbstractUIPluginACTF

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - org.eclipse.actf.ui.util.AbstractUIPluginACTF

All Implemented Interfaces:
  org.osgi.framework.BundleActivator

    public abstract class AbstractUIPluginACTF
    extends org.eclipse.ui.plugin.AbstractUIPlugin

Abstract implementation of `AbstractUIPlugin`. This class enables to create temporary directory and files under the plugin state area.

See Also:
  `Plugin`

### Field Summary

### Fields inherited from class org.eclipse.core.runtime.Plugin

`PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

### Constructor Summary

Constructors
Constructor and Description
`AbstractUIPluginACTF()`

### Method Summary

Methods
`File` `createTempFile(String prefix, String suffix)` Create temporary file under the plugin state directory.
`File` `getTempDirectory()` Return temporary directory for this plugin.
`void` `start(org.osgi.framework.BundleContext context)`
`void` `stop(org.osgi.framework.BundleContext context)`

### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

`getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, shutdown, startup`

### Methods inherited from class org.eclipse.core.runtime.Plugin

`find, find, getBundle, getDescriptor, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### AbstractUIPluginACTF

    public AbstractUIPluginACTF()

### Method Detail

#### start

    public void start(org.osgi.framework.BundleContext context)
               throws Exception

Specified by:
  `start` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `Exception`

#### stop

    public void stop(org.osgi.framework.BundleContext context)
              throws Exception

Specified by:
  `stop` in interface `org.osgi.framework.BundleActivator`
Overrides:
  `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
Throws:
  `Exception`

#### createTempFile

    public File createTempFile(String prefix,
                      String suffix)
                        throws IOException

Create temporary file under the plugin state directory.

Parameters:
  `prefix` - the prefix string to be used in generating the file's name; must be at least three characters long
  `suffix` - the suffix string to be used in generating the file's name; may be null, in which case the suffix ".tmp" will be used
Returns:
  the generated temporary `File`
Throws:
  `IOException`

#### getTempDirectory

    public File getTempDirectory()

Return temporary directory for this plugin. The directory is generated under the plugin state directory.

Returns:
  the temporary directory as `File`